Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233524 - gimp plug-in crashes on jpegs with EXtra InFo in file
Summary: gimp plug-in crashes on jpegs with EXtra InFo in file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libexif
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 21:39 UTC by Chris Abajian
Modified: 2008-05-06 03:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 654283 (view as bug list)
Environment:
Last Closed: 2008-05-06 03:12:03 UTC


Attachments (Terms of Use)
jpeg file that consistently causes segfault (deleted)
2007-03-22 22:24 UTC, Chris Abajian
no flags Details

Description Chris Abajian 2007-03-22 21:39:20 UTC
Description of problem:

Gimp crashes loading jpeg file from Olympus camera.  Appears to be
re-emergence of (some variant of) http://bugzilla.gnome.org/show_bug.cgi?id=142252

Version-Release number of selected component (if applicable):

libexif-0.6.13-2

version of gimp:

gimp-2.2.13-1.fc6
gimp-libs-2.2.13-1.fc6

How reproducible:

always

Steps to Reproduce:
1. open a jpeg file from olympus camera in gimp
  
Actual results:

"... /plug-ins/jpeg: fatal error: Segmentation fault"
dibox sez unable to open file.

Gimp 

Expected results:

file opens in gimp, much joy and photo editing follow

Additional info:

Have not tried to recompile gimp against 2.2.12 version of libexif, 
this is said (by some) to fix problem.  works just fine on FC5 install with 
libexif-0.6.12-3.2.1

Comment 1 Chris Abajian 2007-03-22 22:24:01 UTC
Created attachment 150703 [details]
jpeg file that consistently causes segfault

Comment 2 Bug Zapper 2008-04-04 06:38:08 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Matthias Clasen 2008-05-06 03:12:03 UTC
The attached image opens fine for me in gimp with libexif-0.6.16-1.fc9.
Please reopen if you still see this problem.


Note You need to log in before you can comment on or make changes to this bug.